# SoapClient::__getFunctions

(PHP 5, PHP 7)

SoapClient::__getFunctions — Returns list of available SOAP functions

### Description

public SoapClient::__getFunctions ( void ) : array

Returns an array of functions described in the WSDL for the Web service.

> Note:

> This function only works in WSDL mode.

### Parameters

This function has no parameters.

### Return Values

The array of SOAP function prototypes, detailing the return type, the function name and type-hinted parameters.

### Examples

Example #1 SoapClient::__getFunctions() example

`<?php
$client = new SoapClient('http://soap.amazon.com/schemas3/AmazonWebServices.wsdl');
var_dump($client->__getFunctions());
?>`

The above example will output:

    array(26) {
      [0]=>
      string(70) "ProductInfo KeywordSearchRequest(KeywordRequest $KeywordSearchRequest)"
      [1]=>
      string(79) "ProductInfo TextStreamSearchRequest(TextStreamRequest $TextStreamSearchRequest)"
      [2]=>
      string(64) "ProductInfo PowerSearchRequest(PowerRequest $PowerSearchRequest)"
    ...
      [23]=>
      string(107) "ShoppingCart RemoveShoppingCartItemsRequest(RemoveShoppingCartItemsRequest $RemoveShoppingCartItemsRequest)"
      [24]=>
      string(107) "ShoppingCart ModifyShoppingCartItemsRequest(ModifyShoppingCartItemsRequest $ModifyShoppingCartItemsRequest)"
      [25]=>
      string(118) "GetTransactionDetailsResponse GetTransactionDetailsRequest(GetTransactionDetailsRequest $GetTransactionDetailsRequest)"
    }

### See Also

- SoapClient::SoapClient() - SoapClient constructor